package com.draw.painting.test.adapter;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;

import com.draw.painting.test.PaintingApp;
import com.draw.painting.test.R;
import com.draw.painting.test.manager.Utils;
import com.draw.painting.test.ui.CameraActivity;

import java.util.List;

public class PreViewAdapter extends RecyclerView.Adapter<PreViewAdapter.HomeVH> {


    private Context mCon;
    private List<String> data;


    public PreViewAdapter(Context mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }

    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.adapter_preview, parent, false);
        return new HomeVH(view);
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Log.d("---------tt","---------name="+name);
        Bitmap bitmap = Utils.loadImageFromAssets(mCon, name);
        holder.previewIm.setImageBitmap(bitmap);
        holder.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, CameraActivity.class);
                intent.putExtra(PaintingApp.Key_Camera,name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ImageView previewIm;

        private CardView cardView;

        public HomeVH(@NonNull View itemView) {
            super(itemView);
            previewIm = itemView.findViewById(R.id.imPreview);
            cardView = itemView.findViewById(R.id.card_view);
        }


    }
}
